Skip to main content

updateTrustCenterDocument

Update Trust Center document metadata

updateTrustCenterDocument(
input: UpdateTrustCenterDocumentInput!
): UpdateTrustCenterDocumentPayload

Arguments​

updateTrustCenterDocument.input ● UpdateTrustCenterDocumentInput! non-null input​

Parameters for UpdateTrustCenterDocument

Type​

UpdateTrustCenterDocumentPayload object​

Autogenerated return type of UpdateTrustCenterDocument.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the trustCenters query first and use data.trustCenters.collection[].id as trustCenterId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateUpdateTrustCenterDocument($input: UpdateTrustCenterDocumentInput!) {\n updateTrustCenterDocument(input: $input) { clientMutationId document { id title byteSize } }\n}","variables":{"input":{"documentId":1,"trustCenterId":1}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute